  
#include "Arduino_SensorKit.h"
#define Enviroment Enviroment_I2C
 
void setup() {

  Serial.begin(9600);
  Environment.begin();
  Oled.begin();
  Oled.setFlipMode(true);
}
 
void loop() {
  
  float temp = Environment.readTemperature();
  float hum = Environment.readHumidity();

  Serial.print("Temperature = ");
  Serial.print(Environment.readTemperature()); 
  Serial.println(" C");
  Serial.print("Humidity = ");
  Serial.print(Environment.readHumidity()); 
  Serial.println(" %");

  Oled.setFont(u8x8_font_chroma48medium8_r); 
  Oled.setCursor(0, 40);    
  Oled.print("HILF!_Wetter2024"); 
  Oled.setCursor(0, 20);  
  Oled.print("Temp: ");
  Oled.print(temp); 
  Oled.print(" °C");
  Oled.setCursor(0, 30);  
  Oled.print("Hum: ");
  Oled.print(hum); 
  Oled.print(" %RH");
  Oled.refreshDisplay();     
  delay(1000);
}
